/*
  Module: tr4_q1a.cpp
  Author: Yariv Amar

  What? This program reads a series of 10 numbers and calculates 
  the mathematical average of the first half and the geometric average
  of all the non zero numbers.
  
  Input : 10 numbers
  Output: mathematical and geometric average
  Assumptions on input: Valid 10 integer nonnegative numbers.
  
  How?
  Using for to get the data
*/

#include<iostream.h>

#include<math.h>

const int NUMBERS=10;

void main()
{
  int Num;
  int NZ_counter=0; //declering on counter for Non Zero numbers.
  double M_average=0 , G_average=1;

  cout<<"Please enter the series of numbers and press enter:\n";
  cout<<"---------------------------------------------------\n";

  for (int i=1;i<=NUMBERS;i++)
  {//start loop of NUMBERS
     cin>>Num;
	 if (i<=NUMBERS/2) M_average+=Num;
     if (Num)
	 {// case number is not zero
		 NZ_counter++;
		 G_average*=Num;
	 }//end if not zero
  }//end loop
  
  M_average/=(NUMBERS/2);
  cout<<"\nThe mathematical average for the first half is: "<<M_average;
  
  if (NZ_counter)
  {//check if series is not empty
  G_average=pow(G_average,1/double(NZ_counter));
  cout<<"\nThe geomtric average is: "<<G_average<<"\n";
  }
  else cout<<"\nCannot make geomtric average cuse the series is empty.\n";
}
