/*
  Module: tr4_q1b.cpp
  Author: Yariv Amar

  What? This program reads a series of numbers and calculates 
  the mathematical average of the first half and the geometric average
  of all the non zero numbers except for the first number.
  
  Input : series of numbers.
  Output: mathematical and geometric average
  Assumptions on input: Valid integer nonnegative numbers.
  
  How?
  The first number of the input is representing the length of the
  series, then using 'for' to get the data.
*/

#include<iostream.h>
#include<math.h>

void main()
{
  int Num , Numbers;
  int NZ_counter=0; //declering on counter for Non Zero numbers.
  double M_average=0 , G_average=1;
  
  cout<<"Please enter the series of numbers and press enter:\n";
  cout<<"---------------------------------------------------\n";
  
  cin>>Numbers;
  if (Numbers>0)
  {             
    for (int i=1;i<=Numbers;i++)
    {
       cin>>Num;
	   if (i<=Numbers/2) M_average+=Num;
	   if (Num)
	   {// case number is not zero
		   NZ_counter++;
		   G_average*=Num;
	   }//end if not zero
	}//end for
	M_average/=(Numbers/2);
	cout<<"\nThe mathematical average for the first half is: "<<M_average;
	if (NZ_counter)
	{//check if series is not empty
		G_average=pow(G_average,1/double(NZ_counter));
		cout<<"\nThe geomtric average is: "<<G_average<<"\n";
	}//end if not zero
	else cout<<"\nCannot make geomtric average cuse the series is empty.\n";
  }//end if have numbers
  else cout<<"\nThere are no numbers on the series";
}